Subject: Re: bug#25361: info_TEXINFOS cannot be set conditionally?

From: Hans-Bernhard Bröker <[email-masked]>
Date: Fri, 6 Jan 2017 00:37:54 +0100

Am 04.01.2017 um 21:35 schrieb Benno Schulenberg:
>
> Hi,
>
> What I would like to achieve is that the doc/Makefile that is
> the result of ./configure contains rules that only try to build
> nano.info and nano.html from nano.texi /if/ makeinfo is available,

That's what the 'missing' mechanism does automatically already.  So the 
only thing you need to do for that is to have nano.info and nano.html 
files in your tarball.

> and only tries to install nano.info and nano.html if /either/ they
> already exist or makeinfo is available.

Again, all you have to do is distribute the files, and they'll be used 
if they can't be rebuilt.

You will have to change the way you call makeinfo to let 'missing' 
actually do its job, though :-P